=== debian/changelog ===
qtkeychain (0.1.0-1ubuntu1) raring; urgency=low

  * Ubuntu upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Mar 2013 17:22:59 +0000

qtkeychain (0.1.0-1) UNRELEASED; urgency=low

  * Initial release (Closes: #699687)

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 06 Jan 2013 13:10:17 +0100
