## qtkeychain 0.1.0-1

=== debian/changelog ===
qtkeychain (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Ralf Dragon <dragon@vision.ee.ethz.ch>  Sun, 26 Jan 2014 11:15:31 +0000
