=== debian/changelog ===
qtkeychain (0.1.0-2) lucid; urgency=low

  * Re-upload due to size mismatch error

 -- Ralf Dragon <dragon@vision.ee.ethz.ch>  Sun, 26 Jan 2014 20:53:18 +0000
