## qtkeychain 0.1.0-3

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,7 @@
 endif()
 
 
-include_directories(${CMAKE_CURRENT_BINARY_DIR})
+include_directories(. ${CMAKE_CURRENT_BINARY_DIR})
 
 list(APPEND qtkeychain_LIBRARIES ${QTCORE_LIBRARIES})
 set(qtkeychain_SOURCES
