=== debian/changelog ===
qtkeychain (0.1.0-3) lucid; urgency=low

  * Fix error that qkeychain_export.h is missing
    if other libs include keychain.h

 -- Ralf Dragon <dragon@vision.ee.ethz.ch>  Mon, 27 Jan 2014 19:44:24 +0000
