=== debian/control ===
Source: qtkeychain
Priority: extra
Maintainer: Ralf Dragon <dragon@vision.ee.ethz.ch>
Build-Depends: debhelper (>= 7), cmake, maemo-optify, libqt4-dev
Standards-Version: 3.8.3
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain

Package: qtkeychain-dev
Section: libdevel
Architecture: any
Depends: qtkeychain (= ${binary:Version}), libqt4-dev
Description: libqtkeychain devel package, packaged for maemo

Package: qtkeychain
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} libqt4-core
Description: libqtkeychain package, packaged for maemo
