## qtkeychain 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,12 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8)
 project(qtkeychain)
 
 ###
 
-set(QTKEYCHAIN_VERSION 0.2.0)
+set(QTKEYCHAIN_VERSION 0.3.0)
 set(QTKEYCHAIN_SOVERSION 0)
 
 ###
-
-SET(CMAKE_C_FLAGS "-Wall -O0 -g -ggdb")
-
 
 set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${PROJECT_SOURCE_DIR}/cmake/Modules")
 include(GNUInstallDirs)
@@ -78,7 +75,7 @@
 endif()
 
 
-include_directories(. ${CMAKE_CURRENT_BINARY_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 list(APPEND qtkeychain_LIBRARIES ${QTCORE_LIBRARIES})
 set(qtkeychain_SOURCES
@@ -105,7 +102,7 @@
 endif()
 
 if(UNIX AND NOT APPLE)
-    list(APPEND qtkeychain_SOURCES keychain_dbus.cpp)
+    list(APPEND qtkeychain_SOURCES keychain_unix.cpp gnomekeyring.cpp)
     qt_add_dbus_interface(qtkeychain_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.KWallet.xml kwallet_interface KWalletInterface)
     list(APPEND qtkeychain_LIBRARIES ${QTDBUS_LIBRARIES})
 endif()
@@ -153,10 +150,12 @@
 set_target_properties(${QTKEYCHAIN_TARGET_NAME} PROPERTIES
     VERSION ${QTKEYCHAIN_VERSION}
     SOVERSION ${QTKEYCHAIN_SOVERSION}
+    MACOSX_RPATH 1
+    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}"
 )
 
 install(FILES keychain.h qkeychain_export.h
-        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qtkeychain/
+        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/
 )
 
 install(TARGETS ${QTKEYCHAIN_TARGET_NAME}
@@ -175,7 +174,7 @@
 ###
 
 export(TARGETS ${QTKEYCHAIN_TARGET_NAME} FILE "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainLibraryDepends.cmake")
-#export(PACKAGE QtKeychain)
+export(PACKAGE Qt${QTKEYCHAIN_VERSION_INFIX}Keychain)
 
 configure_file(QtKeychainBuildTreeSettings.cmake.in
   "${PROJECT_BINARY_DIR}/Qt${QTKEYCHAIN_VERSION_INFIX}KeychainBuildTreeSettings.cmake" @ONLY)
