=== debian/changelog ===
qtkeychain (0.3.0-2) unstable; urgency=medium

  * Building lib for qt4 and qt5.
  * Added packages libqt5keychain0 and qt5keychain-dev
  * Added symbols for libqt5keychain0

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 01 Apr 2014 12:54:47 +0200

qtkeychain (0.3.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #735043)
  * Added gnome-keyring|kwalletmanager as recommends
  * Updated debian/libqtkeychain0.symbols
  * Updated debian/copyright
  * Bumped Standards-Version

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 20 Mar 2014 13:09:16 +0100

qtkeychain (0.1.0-2) unstable; urgency=low

  * FTBFS on !linux: libraries left in /usr/lib (Closes: #710340)
  * Added patch use_system_GNUInstallDirs.cmake
  * use githubredir.debian.net for watch file

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 27 Sep 2013 14:19:13 +0200
