=== debian/control ===
Source: qtkeychain
Priority: extra
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               hardening-wrapper,
               libqt4-dev,
               pkg-kde-tools,
               qttools5-dev (>= 5.2.1),
               qttools5-dev-tools (>= 5.2.1)
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/qtkeychain.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/qtkeychain.git

Package: libqtkeychain0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kde-runtime
Description: Qt API to store passwords
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.

Package: qtkeychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtkeychain0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain
 Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.

Package: libqt5keychain0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Description: Qt API to store passwords (QT5 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

Package: qt5keychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5keychain0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain (QT5 version)
 A Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5
