=== debian/changelog ===
qtkeychain (0.4.0-1) unstable; urgency=medium

  * New upstream release:
    - Improved desktop environment detection at runtime (Closes: #755349)
  * Replaced hardening-wrapper with dpkg-buildflags
  * Bumped compat to 9 to have dpkg-buildflags available
  * Removed private symbols from libs

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 04 Sep 2014 17:30:43 +0200
