=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake,
-               debhelper (>= 8.0.0),
-               hardening-wrapper,
+               debhelper (>= 9),
                libqt4-dev,
                pkg-kde-tools,
-               qttools5-dev (>= 5.2.1),
-               qttools5-dev-tools (>= 5.2.1)
+               qttools5-dev,
+               qttools5-dev-tools
 Standards-Version: 3.9.5
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
