## qtkeychain 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 ###
 
-set(QTKEYCHAIN_VERSION 0.4.0)
+set(QTKEYCHAIN_VERSION 0.5.0)
 set(QTKEYCHAIN_SOVERSION 0)
 
 ###
