=== debian/changelog ===
qtkeychain (0.5.0-1build1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 17:34:12 +0000

qtkeychain (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Updated d/watch file
  * Updated d/copyright with current year
  * Make buildable with GCC-5 (Closes: #778089)
  * Bumped Standards-Version: No changes needed

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 01 Jun 2015 22:41:45 +0200
