=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: qtkeychain
 Priority: extra
-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -8,7 +9,7 @@
                pkg-kde-tools,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
 Vcs-Git: git://anonscm.debian.org/pkg-owncloud/qtkeychain.git
