=== debian/changelog ===
qtkeychain (0.7.0-3) unstable; urgency=medium

  * Added Breaks and Replaces for Qt4 and Qt5 version.
    Thanks to Alf Gaida (Closes: #842416)

 -- Sandro Knauß <hefee@debian.org>  Sat, 29 Oct 2016 00:37:41 +0200

qtkeychain (0.7.0-2) unstable; urgency=medium

  * Upload to unstable to start transition.
  * Update my mail address to debian.org address

 -- Sandro Knauß <hefee@debian.org>  Fri, 28 Oct 2016 13:29:23 +0200

qtkeychain (0.7.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version (no changes needed)
  * Bump SONAME and packagename, because of ABI breakage.
  * Securify uris to debian git.

 -- Sandro Knauß <hefee@debian.org>  Sat, 22 Oct 2016 01:03:37 +0200
