=== debian/control ===
Source: qtkeychain
Priority: extra
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libqt4-dev,
               pkg-kde-tools,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: https://anonscm.debian.org/git/pkg-owncloud/qtkeychain.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-owncloud/qtkeychain.git

Package: libqtkeychain1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kde-runtime
Breaks: libqtkeychain0
Replaces: libqtkeychain0
Description: Qt API to store passwords
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.

Package: qtkeychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtkeychain1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain
 Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.

Package: libqt5keychain1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Breaks: libqt5keychain0
Replaces: libqt5keychain0
Description: Qt API to store passwords (QT5 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5

Package: qt5keychain-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5keychain1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for qtkeychain (QT5 version)
 A Qt API to store passwords
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the Version built for QT5
