=== debian/watch ===
--- 
+++ 
@@ -3,4 +3,6 @@
 # See uscan(1) for format
 version=3
 
-http://githubredir.debian.net/github/frankosterfeld/qtkeychain/ v(.*).tar.gz
+opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qtkeychain-$1\.tar\.gz/ \
+https://github.com/frankosterfeld/qtkeychain/tags .*/archive/v(.*).tar.gz
+#https://github.com/frankosterfeld/qtkeychain/tags v(.*).tar.gz
