## qtkeychain 0.9.0

=== debian/changelog ===
qtkeychain (0.9.0-2) unstable; urgency=medium

  * Fix "cmake script requires linking with secret-1 library" (Closes: #905659)
    - Mark target_link_libraries as private, if they are not exposed in public
      interface.
    - Add patch fix-dependencies.patch.
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Use dh_missing instead of dh_install.

 -- Sandro Knauß <hefee@debian.org>  Wed, 08 Aug 2018 15:13:17 +0200

qtkeychain (0.9.0-1) unstable; urgency=medium

  * new upstream release (Closes: #866308) (Closes: #900556).
  * Updated copyright information.
  * Add new build dependencies (pkg-config and libsecret-1).
  * Switch to Qt5 as default build.
  * Bump compat level:
    - remove parallel from rules
  * Bump Standrds-Version (no changes needed)
  * Fix "Future Qt4 removal from Buster" (Closes: #875152)
    - remove libqtkeychain1 and qtkeychain from package build.
    - do not build Qt4 interface anymore.
  * Use secure url link in copyright.
  * Bump compat level to 11 (no changes needed).
  * Use Priority optional instead of extra.
  * Update Vsc links to salsa.
  * Update Standards-Version to 4.1.5 (no changes needed)

 -- Sandro Knauß <hefee@debian.org>  Wed, 18 Jul 2018 17:35:08 +0200
