## qtkeychain 0.9.1

=== debian/changelog ===
qtkeychain (0.9.1-2+rb2) UNRELEASED; urgency=medium

  * update

 -- ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>  Fri, 22 Jan 2021 12:15:47 +0800

qtkeychain (0.9.1-2) unstable; urgency=medium

  * Add commit to load versioned libsecret (Closes: #920984, #922489)

 -- Sandro Knauß <hefee@debian.org>  Sun, 17 Feb 2019 11:15:10 +0100

qtkeychain (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * Dropped d/compat, use debhelper-compat = 12, no changes needed.
  * Add generated .pri file so it can be used as a Qt module (Closes: #913221)
  * Add Build-Depends-Package to libqt5keychain1.symbols.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 17:27:39 +0100
