=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                libsecret-1-dev,
                pkg-config,
                pkg-kde-tools,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
 Vcs-Git: https://salsa.debian.org/owncloud-team/qtkeychain.git
