=== debian/changelog ===
qtkeychain (0.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Sandro Knauß ]
  * New upstream release.
  * Add salsa-ci.yml
  * update d/gbp.conf.
  * Remove backported patch.
  * Add Rules-Requires-Root: no.

 -- Sandro Knauß <hefee@debian.org>  Sun, 12 Jan 2020 12:12:59 +0100
