=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                pkg-kde-tools,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
 Vcs-Git: https://salsa.debian.org/owncloud-team/qtkeychain.git
